$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.385-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.385-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F40026B787482018B472BDBE19D1DD2C5303098E1FF06938E4A866F4E613A656'
  checksumType = 'sha256'
  checksum64 = 'F40026B787482018B472BDBE19D1DD2C5303098E1FF06938E4A866F4E613A656'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.385-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
